#include "custom_mysql.hpp"
#include "logger.hpp"
#include "udsf_config.hpp"

#include <mysql/mysql.h>

using namespace config;

extern udsf_config udsf_cfg;

CustomMysql::CustomMysql(){}
CustomMysql::~CustomMysql(){}

bool CustomMysql::clearing_tables_of_db(std::vector<std::string>  & tables)
{
  MYSQL mysql;
  mysql_init(&mysql);
  if (!mysql_real_connect(&mysql, udsf_cfg.mysql.mysql_server.c_str(), udsf_cfg.mysql.mysql_user.c_str(),udsf_cfg.mysql.mysql_pass.c_str(), udsf_cfg.mysql.mysql_db.c_str(), udsf_cfg.mysql.mysql_port, 0, 0))
  {
     Logger::udsf_app().error("An error occurred while connecting to db: %s", mysql_error(&mysql));
    return false;
  }

  std::string query = "";

  for(int i=0;i<tables.size();i++)
  {
    query = "TRUNCATE TABLE `" + tables[i] + "`";
    if (mysql_query(&mysql, query.c_str()))
    {
        Logger::udsf_app().error("mysql_query failure！SQL(%s)",  query.c_str());
        Logger::udsf_app().error("mysql error(%s)",  mysql_error(&mysql));

        mysql_close(&mysql);
        return false;
    }
  }

  mysql_close(&mysql);

  return true;
}


